> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fermion.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get published blogs 

> Get details of all published blogs with this API

Rate limit: Maximum 15 requests in a window of 1m.



## OpenAPI

````yaml https://backend.codedamn.com/webhook/fermion-backend-openapi.yaml post /public/get-all-blogs
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fermion Backend API
  description: Documentation for interacting with the Fermion API
  contact:
    name: Fermion Support
    email: support@codedamn.com
servers:
  - url: https://backend.codedamn.com/api
    description: Fermion primary backend server
security: []
externalDocs:
  description: Fermion Docs
  url: https://docs.fermion.app
paths:
  /public/get-all-blogs:
    post:
      tags:
        - Blog
      summary: 'Get published blogs '
      description: |-
        Get details of all published blogs with this API

        Rate limit: Maximum 15 requests in a window of 1m.
      requestBody:
        description: API Request Body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      data:
                        type: object
                        properties:
                          fermionSchoolId:
                            type: string
                            minLength: 1
                            description: Your school ID
                        required:
                          - fermionSchoolId
                    required:
                      - data
              required:
                - data
      responses:
        '200':
          description: API Response Body
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    output:
                      anyOf:
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - ok
                            data:
                              type: object
                              properties:
                                blogs:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      fermionBlogId:
                                        type: string
                                        description: Unique identifier for the blog post
                                      slug:
                                        type: string
                                        description: >-
                                          URL-friendly identifier used in blog
                                          post URLs
                                      titleMarkdown:
                                        type: string
                                        description: Blog post title in Markdown format
                                      contentMarkdown:
                                        type: string
                                        description: >-
                                          Full blog post content in Markdown
                                          format
                                      category:
                                        type: string
                                        description: >-
                                          Category classification for the blog
                                          post
                                      featuredImageUrl:
                                        type: string
                                        nullable: true
                                        format: uri
                                        description: >-
                                          URL of the blog's featured image. May be
                                          null if no image is set
                                    required:
                                      - fermionBlogId
                                      - slug
                                      - titleMarkdown
                                      - contentMarkdown
                                      - category
                                  description: Array of published blog posts
                              required:
                                - blogs
                          required:
                            - status
                            - data
                        - type: object
                          properties:
                            status:
                              type: string
                              enum:
                                - error
                            errorMessage:
                              type: string
                          required:
                            - status
                            - errorMessage
                  required:
                    - output

````